---
title: Get Model Lab artifact content
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Model Lab API
---

# Get Model Lab artifact content{% #get-model-lab-artifact-content %}

{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/model-lab-api/artifacts/content |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/model-lab-api/artifacts/content |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/model-lab-api/artifacts/content      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/model-lab-api/artifacts/content      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/model-lab-api/artifacts/content  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/model-lab-api/artifacts/content     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/model-lab-api/artifacts/content |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/model-lab-api/artifacts/content |

### Overview

Download the raw content of a Model Lab artifact file.

### Arguments

#### Query Strings

| Name                            | Type   | Description                                             |
| ------------------------------- | ------ | ------------------------------------------------------- |
| project_id [*required*]    | string | ID of the project.                                      |
| artifact_path [*required*] | string | Path to the artifact relative to the project directory. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}

| Field | Type | Description |
| ----- | ---- | ----------- |

{% /tab %}

{% tab title="Example" %}

```json
{}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="500" %}
Internal Server Error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Required query arguments export project_id="1" export artifact_path="runs/42/model/weights.pt" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/model-lab-api/artifacts/content?project_id=${project_id}&artifact_path=${artifact_path}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
